body {
background:
  repeating-linear-gradient(
    45deg,
    #000,
    #000 8px,
    #050505 8px,
    #050505 16px
  );
  color: #ccc;
  font-family: "MS UI Gothic", monospace;
  margin: 0;
  text-align: left;
}
.layout {
  display: flex;
  gap: 40px;
  max-width: 1100px;
  margin: 0 auto;
  padding: 2rem;
}

.main-column {
  flex: 1;
  max-width: 700px;
}

.side-column img {
  width: 200px;
  height: auto;
  border: 1px solid #444;
  padding: 3px;
  background: #111;
  box-sizing: border-box;
}

#greeting {
    font-size: 3rem;
}

h1 {
  font-size: 1.5rem;
  margin-bottom: 0.2rem;
}

.sub {
  font-size: 0.8rem;
  color: #666;
}

h2 {
  font-size: 1rem;
  color: #fff;
  border-bottom: 1px solid #222;
  padding-bottom: 0.3rem;
}

h3 {
  font-size: 0.9rem;
  color: #aaa;
  margin-top: 1rem;
}

section {
  margin-top: 2.5rem;
}

p {
  line-height: 1.5;
}

.note {
  font-size: 0.7rem;
  color: #666;
}

a {
  color: #aaa;
  text-decoration: none;
}

a:hover {
  color: #fff;
}

ul {
  padding-left: 1rem;
}

.hardware-list li,
.site-list li,
.tool-list li {
  margin: 0.4rem 0;
}

.heart-rate-display {
  display: flex;
  gap: 6px;
  font-size: 32px;
}

#heart {
  color: #555;
}

#heart.beat {
  color: red;
}

.rice-link {
  position: relative;
  display: inline-block;
}

.sweet-rice {
  max-width: 400px;
}

.arrow {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  font-size: 2rem;
  opacity: 0.3;
}

.arrow.left { left: -2rem; }
.arrow.right { right: -2rem; }

.side-column .picblock {
  margin-bottom: 1.5rem;
}

.side-column p {
  font-size: 0.7rem;
  color: #777;
}

.small {
  font-size: 0.75rem;
  color: #777;
}

.music-link {
  cursor: pointer;
  text-decoration: underline;
}
.music-link:hover {
  opacity: 0.7;
}

.player {
  position: fixed;
  top: 10px;
  left: 50%;
  transform: translateX(-50%);
  width: 260px;
  padding: 8px;
  background: rgba(0,0,0,0.7);
  font-size: 12px;
  z-index: 9999;
  text-align: center;
}

.controls {
  display: flex;
  justify-content: center;
  gap: 5px;
}

#seek {
  flex: 1;
  accent-color: #888;
}

.layout {
  position: relative;
  z-index: 1;
}

.funny {
  color: red;
}

html, body {
  overflow-x: hidden;
}

html {
  scrollbar-width: none;    
  -ms-overflow-style: none;  
}

html::-webkit-scrollbar {
  display: none;              
}

.remilia-frame {
    width: 400px;
    height: 400px;
    border: 1px solid #444;
    background: #111;

    display: flex;
    align-items: center;
    justify-content: center;

    overflow: hidden;
}

#remilia-img {
    width: 400px;
    height: 400px;
    object-fit: contain;
    display: block;
}


#refresh-remilia {
    background: none;
    border: none;

    color: #888;
    font: inherit;

    padding: 0;
    margin-top: 10px;

    cursor: pointer;
    text-decoration: underline;
}

#refresh-remilia:hover {
    color: white;
}

#refresh-remilia:active {
    color: #c44;
}